Bug 215444 - Review Request: netcdf-perl Perl extension module for scientific data access via the netCDF API
Review Request: netcdf-perl Perl extension module for scientific data access ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT 215445
  Show dependency treegraph
 
Reported: 2006-11-13 18:36 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 17:28:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file modified and renamed (2.17 KB, text/plain)
2006-11-14 04:52 EST, Patrice Dumas
no flags Details
netcdf-2 man page (30.75 KB, text/plain)
2006-11-14 04:53 EST, Patrice Dumas
no flags Details

  None (edit)
Description Orion Poplawski 2006-11-13 18:36:46 EST
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/netcdf-perl.spec
SRPM Name or Url:
http://www.cora.nwra.com/~orion/fedora/netcdf-perl-1.2.3-1.fc6.src.rpm
Description: 

The netCDF Perl package is a perl extension module for scientific data access
via the netCDF API.
Comment 1 Patrice Dumas 2006-11-14 04:51:09 EST
I already made a package, but never submitted it due to the license
issue, see below.

I attach a modified spec file:

- Avoid using the top-level Makefile for perl
- ship the netcdf-2 man page as it is the interface implemented
- rename to perl-NetCDF

When the top-level Makefile is used for make or make install it
isn't a pure_install and it tries to write on the local filesystem.

It seems to me that it should be named like any other perl module.
It may be worth adding:
Provides: netcdf-perl = %{version}-%{release}

There is a serious license issue, netcdf-perl isn't OSI compatible
because of the following restriction in use (in COPYRIGHT):

  Further, the user agrees to credit
  UCAR/Unidata in any publications that result from the use of this
  software or in any product that includes this software.

This was also in the netcdf licence, but UCAR accepted to change it 
to:
  Further, UCAR requests that the user credit
  UCAR/Unidata in any publications that result from the use of this
  software or in any product that includes this software, although this
  is not an obligation.

(they added although this is not an obligation at my request, because
I misunderstood what was the real meaning if 'request'...)

So there is no doubt that it is still the OSI-uncompliant license because
netcdf-perl was never updated, not because UCAR don't agree to distribute
it under the same license than netcdf. However, I think you'll have to
contact them for clarification. I don't think there is a need for a new
release, a simple mail by UCAR agreeing to distribute netcdf-perl under 
the same terms than netcdf would be enough, and then you could add the 
mail and the netcdf licence to the .src.rpm.

For the license NetCDF use NetCDF, I think you could use that, if after
clarification it is the same licence than NetCDF.
Comment 2 Patrice Dumas 2006-11-14 04:52:20 EST
Created attachment 141140 [details]
spec file modified and renamed
Comment 3 Patrice Dumas 2006-11-14 04:53:17 EST
Created attachment 141141 [details]
netcdf-2 man page
Comment 4 Patrice Dumas 2006-11-14 09:22:28 EST
Forgot to say that it would be nice to have src/perl/test.pl in %doc.
Comment 5 Orion Poplawski 2006-11-14 15:42:52 EST
Asked about the license on netcdf-perl list and got this:

Orion,

Your request will be part of the next release.

Regards,
Steve Emmerson

------- Original Message

Date:    Tue, 14 Nov 2006 10:20:54 -0700
From:    Orion Poplawski <orion@cora.nwra.com>To:      support@unidata.ucar.edu
	  , netcdf-perl@unidata.ucar.edu
Subject: netCDF Perl license

As currently distributed, the netCDF Perl license is not OSI compatible 
because of the following clause:

   Further, the user agrees to credit
   UCAR/Unidata in any publications that result from the use of this
   software or in any product that includes this software.


This is a restriction on use and is unacceptable in a truly free 
distribution like Fedora.  The NetCDF license had a similar clause and 
was changed to:

    Further, UCAR requests that the user credit
   UCAR/Unidata in any publications that result from the use of this
   software or in any product that includes this software, although this
   is not an obligation.

Please consider changing the netCDF Perl license in a similar manner so 
that it can be packaged as part of Fedora.

Thanks!

--------------------

So I think we're good there.  Changed license NetCDF.

New version:
http://www.cora.nwra.com/~orion/fedora/netcdf-perl.spec
http://www.cora.nwra.com/~orion/fedora/netcdf-perl-1.2.3-2.fc6.src.rpm

- I'd rather stick with netcdf-perl as that is the upstream name.
- Changed license to NetCDF, will be changed upstream next release
- Add src/perl/test.pl to %%doc
- Added netcdf-2 man page
- Only use top level Makefile for installing man page
Comment 6 Orion Poplawski 2006-11-21 16:15:14 EST
Where do we stand now?
Comment 7 Patrice Dumas 2006-11-22 17:16:28 EST
I am not sure about the name. Maybe you could add a virtual
Provides: perl-NetCDF = %{version}-%{release}

It is not obvious since there is already the perl(NetCDF) 
provides.

I've just reread the naming guidelines, and it may be interpreted
as acceptable to keep netcdf-perl since it is not a CPAN module.

* Rpmlint output may be ignored:
W: netcdf-perl invalid-license NetCDF
W: netcdf-perl invalid-license NetCDF
W: netcdf-perl doc-file-dependency /usr/share/doc/netcdf-perl-1.2.3/test.pl
perl(strict)
W: netcdf-perl doc-file-dependency /usr/share/doc/netcdf-perl-1.2.3/test.pl
perl(warnings)
W: netcdf-perl doc-file-dependency /usr/share/doc/netcdf-perl-1.2.3/test.pl
/usr/bin/perl
W: netcdf-perl-debuginfo invalid-license NetCDF
* license is not OSI compatible, but upstream has agreed to
  relicense using an OSI compatible license
* follow packaging guidelines
* source match upstream
936c91794d82ff8cfe2a955d4cad4c27  netcdf-perl-1.2.3.tar.Z
* sane provides (with the classical bogus NetCDF.so)
Provides: NetCDF.so perl(NetCDF)
* %files section right.

The naming is not obviously right, and not obviously wrong either,
so I won't make it a blocker. If other reviewer disagree we'll see
then, but in the meantime, it is

APPROVED
Comment 8 Orion Poplawski 2006-11-22 17:28:45 EST
Added the provides perl-NetCDF.  Imported and built on devel.  Added to owners.list.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.